package com.gyee.wisdom.dao.things;

import com.gyee.wisdom.common.data.timeseries.TsPoint;

import java.util.List;

public interface IThingsPointDao {

    List<TsPoint> findTsPointByUnformCodes(String thingType, String thingId, String... uCodes);

    List<TsPoint> findTsPointByIds(String... tagNames);

    List<TsPoint> findTsPointByThingIds(String thingType, String uniformCode, String... thingIds);

    TsPoint findTsPointById(String tagName);

    List<TsPoint> getAllTsPoint();
}
